'# MWS Version: Version 2011.3 - May 14 2011 - 00:40:09 - ACIS 21.0.0 -

'# length = mm
'# frequency = kHz
'# time = s
'# frequency range: fmin = 99 fmax = 100


'@ set workplane properties

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With WCS
     .SetWorkplaneSize "100"
     .SetWorkplaneRaster "5"
     .SetWorkplaneAutoadjust "True"
     .SetWorkplaneSnap "True"
     .SetWorkplaneSnapRaster "1"
     .SetWorkplaneSnapAutoadjust "True"
End With

'@ define units

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Units 
     .Geometry "mm" 
     .Frequency "Hz" 
     .Time "s" 
     .TemperatureUnit "Kelvin" 
     .Voltage "V" 
     .Current "A" 
     .Resistance "Ohm" 
     .Conductance "S" 
     .Capacitance "PikoF" 
     .Inductance "NanoH" 
End With

'@ execute macro: Construct\Coils\Circular Spiral

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Dim cst_height As Double, cst_width As Double, cst_gap As Double, cst_inner_radius As Double, cst_turns As Double
Dim scst_height As String, scst_width As String, scst_gap As String, scst_inner_radius As String, scst_turns As String
Dim scst_increment As String, scst_end_angle As String, scst_start_angle As String, cst_phi_endextra As Double
Dim cst_result As Integer, cst_oldcount As Integer, cst_dummyname As String, cst_newname As String, cst_index As Integer
Dim pi180 As Double, cst_index_a As Double, cst_rad As Double, cst_radx As Double, cst_rady As Double
Dim cst_increment As Double, cst_pi As Double, cst_phi_start As Double, cst_progress As Double, cst_start_x As Double
Dim cst_start_y As Double, cst_start_x1 As Double, cst_start_y1 As Double, cst_start_x2 As Double
Dim cst_start_y2 As Double, cst_end_x1 	As Double, cst_end_y1 	As Double, cst_end_x2 	As Double, cst_end_y2 	As Double
Dim nr_of_total_segments As Double, total_angle As Double, angle_width_per_segment As Double
'-------------------------------------
pi180= Atn(1)*4/180. 	' = pi/180
cst_pi = Atn(1)*4.		' = PI
cst_result = -1%
scst_height = "1.5"
scst_width = "1.5"
scst_gap = "0"
scst_inner_radius = "10"
scst_turns = "5"
scst_increment = "0"
scst_end_angle = "0"
scst_start_angle = "0"
        cst_result = Evaluate(cst_result)
        If (cst_result =0) Then Exit All   ' if cancel/help is clicked, exit all
        If (cst_result =1) Then Exit All
        cst_height       = Evaluate(scst_height)
        cst_width        =Evaluate(scst_width)
        cst_gap          =Evaluate(scst_gap)
        cst_inner_radius =Evaluate(scst_inner_radius)
        cst_turns        =Evaluate(scst_turns)
        cst_increment    =(Evaluate(scst_increment))	'segments/turn
		cst_phi_endextra =Evaluate(scst_end_angle)
		cst_phi_start =Evaluate(scst_start_angle)
		cst_progress = (cst_gap+cst_width)/(2*cst_pi)
		cst_start_x2 =  (cst_inner_radius+cst_width) * Cos(cst_phi_start*pi180)
		cst_start_y2 =  (cst_inner_radius+cst_width) * Sin(cst_phi_start*pi180)
		'nr of segments
		If cst_increment > 0 Then	'polygon
			total_angle = 360*cst_turns	+ cst_phi_endextra ' total angle
			angle_width_per_segment = 360/cst_increment
			nr_of_total_segments = total_angle/angle_width_per_segment
 		Else 'spline
			total_angle = 360*cst_turns	+ cst_phi_endextra ' total angle
			angle_width_per_segment = 5	 'default
			nr_of_total_segments = total_angle/angle_width_per_segment
		End If
		'extra phi at the end of the spiral due to roundoffs:
		cst_phi_endextra = total_angle - Int(nr_of_total_segments)*angle_width_per_segment
'Start modeling
	With Line
     .Reset
     .Name "start_line"
     .Curve "curve_spiral"
     .X1 cst_inner_radius * Cos(cst_phi_start*pi180)
     .Y1 cst_inner_radius * Sin(cst_phi_start*pi180)
     .X2 cst_start_x2
     .Y2 cst_start_y2
     .Create
	End With
'  first sprial
'
 	cst_start_x =cst_inner_radius*Cos((cst_phi_start)*pi180)
 	cst_start_y =cst_inner_radius*Sin((cst_phi_start)*pi180)
 	If cst_increment = 0 Then
     Spline.Reset
     Spline.Name "archimed_a_"
     Spline.Curve "curve_spiral"
     Spline.Point cst_start_x, cst_start_y
 	Else
	 Polygon.Reset
     Polygon.Name "archimed_a_"
     Polygon.Curve "curve_spiral"
     Polygon.Point cst_start_x, cst_start_y
 	End If
     ' create spline-points with angle increment in degrees
     For cst_index_a = 1  To  Int(nr_of_total_segments)
          cst_end_x1=((cst_progress*cst_index_a*angle_width_per_segment )*pi180+cst_inner_radius)*Cos((cst_index_a*angle_width_per_segment+cst_phi_start)*pi180)
          cst_end_y1=((cst_progress*cst_index_a*angle_width_per_segment )*pi180+cst_inner_radius)*Sin((cst_index_a*angle_width_per_segment+cst_phi_start)*pi180)
          If cst_increment = 0 Then
           	Spline.LineTo  cst_end_x1 , cst_end_y1
		  Else
			Polygon.LineTo  cst_end_x1 , cst_end_y1
		  End If
     Next
     ' if there is still a faction of a segment, it will be appended as last point
     cst_index_a = Int(nr_of_total_segments)
     If cst_increment = 0 Then 'spline
		If cst_phi_endextra > 0 Then
     		cst_end_x1=((cst_progress*cst_index_a*angle_width_per_segment  +cst_phi_endextra*cst_progress  )*pi180+cst_inner_radius)*Cos((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
	        cst_end_y1=((cst_progress*cst_index_a*angle_width_per_segment  +cst_phi_endextra*cst_progress  )*pi180+cst_inner_radius)*Sin((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
			Spline.LineTo  cst_end_x1 , cst_end_y1
		End If
      	Spline.Create
     Else 'segmented
     	If cst_phi_endextra > 0 Then
     		cst_end_x1=((cst_progress*cst_index_a*angle_width_per_segment  +cst_phi_endextra*cst_progress  )*pi180+cst_inner_radius)*Cos((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
	        cst_end_y1=((cst_progress*cst_index_a*angle_width_per_segment  +cst_phi_endextra*cst_progress )*pi180+cst_inner_radius)*Sin((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
			Polygon.LineTo  cst_end_x1 , cst_end_y1
		End If
      	Polygon.create
     End If
 '2nd spiral
'
 cst_start_x =( cst_inner_radius+cst_width )*Cos((cst_phi_start)*pi180)
 cst_start_y =( cst_inner_radius+cst_width )*Sin((cst_phi_start)*pi180)
If cst_increment = 0 Then
     Spline.Reset
     Spline.Name "archimed_b_"
     Spline.Curve "curve_spiral"
     Spline.Point cst_start_x, cst_start_y
 Else
	 Polygon.Reset
     Polygon.Name "archimed_b_"
     Polygon.Curve "curve_spiral"
     Polygon.Point cst_start_x, cst_start_y
 End If
     ' create spline-points with angle increment in degrees
     For cst_index_a = 1  To  Int(nr_of_total_segments)
          cst_end_x2=((cst_progress*cst_index_a*angle_width_per_segment )*pi180+cst_inner_radius+cst_width)*Cos((cst_index_a*angle_width_per_segment+cst_phi_start)*pi180)
          cst_end_y2=((cst_progress*cst_index_a*angle_width_per_segment )*pi180+cst_inner_radius+cst_width)*Sin((cst_index_a*angle_width_per_segment+cst_phi_start)*pi180)
          If cst_increment = 0 Then
           Spline.LineTo  cst_end_x2 , cst_end_y2
		  Else
			Polygon.LineTo  cst_end_x2 , cst_end_y2
		  End If
     Next
     cst_index_a = Int(nr_of_total_segments)
     If cst_increment = 0 Then 'spline
		If cst_phi_endextra > 0 Then
     		cst_end_x2=((cst_progress*cst_index_a*angle_width_per_segment+cst_phi_endextra*cst_progress    )*pi180+cst_inner_radius+cst_width)*Cos((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
	        cst_end_y2=((cst_progress*cst_index_a*angle_width_per_segment+cst_phi_endextra*cst_progress  )*pi180+cst_inner_radius+cst_width)*Sin((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
			Spline.LineTo  cst_end_x2 , cst_end_y2
		End If
      	Spline.Create
     Else 'segmented
     	If cst_phi_endextra > 0 Then
     		cst_end_x2=((cst_progress*cst_index_a*angle_width_per_segment  +cst_phi_endextra*cst_progress  )*pi180+cst_inner_radius+cst_width)*Cos((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
	        cst_end_y2=((cst_progress*cst_index_a*angle_width_per_segment  +cst_phi_endextra*cst_progress  )*pi180+cst_inner_radius+cst_width)*Sin((cst_index_a*angle_width_per_segment+cst_phi_endextra+cst_phi_start)*pi180)
			Polygon.LineTo  cst_end_x2 , cst_end_y2
		End If
      	Polygon.create
     End If
	With Line
     .Reset
     .Name "end_line"
     .Curve "curve_spiral"
     .X1 cst_end_x1
     .Y1 cst_end_y1
     .X2 cst_end_x2
     .Y2 cst_end_y2
     .Create
	End With
	With ExtrudeCurve
     .Reset
     .Name Solid.GetNextFreeName
     .Layer "PEC"
     .Thickness   cst_height
     .Twistangle "0.0"
     .Taperangle "0.0"
     .Curve "curve_spiral"
     .Create
	End With
	Curve.DeleteCurve "curve_spiral"

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "4"

'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "-2", "2", "2", "-4", "4", "2"

'@ align WCS with rotation axis

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "RotationEdge"

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "4"

'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "4"

'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "-2", "2", "2", "-4", "4", "2"

'@ align wcs with global plane

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With WCS
     .SetNormal "0", "0", "1"
     .SetUVector "1", "0", "0"
     .ActivateWCS "local" 
End With

'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks

'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "-2", "-4", "4", "-2", "-4"

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "4"

'@ define rotate: PEC:solid2

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Rotate 
     .Reset 
     .Name "solid2" 
     .Component "PEC" 
     .Material "PEC" 
     .Mode "Picks" 
     .Angle "90.0" 
     .Height "0.0" 
     .RadiusRatio "1.0" 
     .NSteps "0" 
     .SplitClosedEdges "True" 
     .SegmentedProfile "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .SimplifySolid "True" 
     .UseAdvancedSegmentedRotation "True" 
     .Create 
End With

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid2", "5"

'@ define extrude: PEC:solid3

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid3" 
     .Component "PEC" 
     .Material "PEC" 
     .Mode "Picks" 
     .Height "6" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "2"

'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "-2", "2", "2", "-4"

'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks

'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "2", "2", "4", "2"

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "2"

'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "3", "4", "2", "3"

'@ define rotate: PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Rotate 
     .Reset 
     .Name "solid4" 
     .Component "PEC" 
     .Material "PEC" 
     .Mode "Picks" 
     .Angle "90.0" 
     .Height "0.0" 
     .RadiusRatio "1.0" 
     .NSteps "0" 
     .SplitClosedEdges "True" 
     .SegmentedProfile "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .SimplifySolid "True" 
     .UseAdvancedSegmentedRotation "True" 
     .Create 
End With

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid4", "5"

'@ define extrude: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid5" 
     .Component "PEC" 
     .Material "PEC" 
     .Mode "Picks" 
     .Height "7" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With

'@ boolean add shapes: PEC:solid4, PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "PEC:solid4", "PEC:solid5"

'@ boolean add shapes: PEC:solid2, PEC:solid3

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "PEC:solid2", "PEC:solid3"

'@ define material: kupfer

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Material 
     .Reset 
     .Name "kupfer"
     .FrqType "all"
     .Type "Normal"
     .SetMaterialUnit "Hz", "mm"
     .Epsilon "1"
     .Mue "1"
     .ThinPanel "False"
     .Thickness "0"
     .Kappa "0"
     .TanD "0.0"
     .TanDFreq "0.0"
     .TanDGiven "False"
     .TanDModel "ConstTanD"
     .ReferenceCoordSystem "Global"
     .CoordSystemType "Cartesian"
     .KappaM "0"
     .TanDM "0.0"
     .TanDMFreq "0.0"
     .TanDMGiven "False"
     .TanDMModel "ConstTanD"
     .DispModelEps  "None"
     .DispModelMue "None"
     .DispersiveFittingSchemeEps "1st Order"
     .DispersiveFittingSchemeMue "1st Order"
     .UseGeneralDispersionEps "False"
     .UseGeneralDispersionMue "False"
     .NLAnisotropy "False"
     .NLAStackingFactor "1"
     .NLADirectionX "1"
     .NLADirectionY "0"
     .NLADirectionZ "0"
     .Rho "0"
     .ThermalType "Normal"
     .ThermalConductivity "0"
     .HeatCapacity "0"
     .MetabolicRate "0"
     .BloodFlow "0"
     .VoxelConvection "0"
     .MechanicsType "Unused"
     .Colour "0", "0", "1" 
     .Wireframe "False" 
     .Reflection "False" 
     .Allowoutline "True" 
     .Transparentoutline "False" 
     .Transparency "0" 
     .Create
End With

'@ change material: PEC:solid1 to: kupfer

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeMaterial "PEC:solid1", "kupfer"

'@ change material: PEC:solid2 to: kupfer

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeMaterial "PEC:solid2", "kupfer"

'@ change material: PEC:solid4 to: kupfer

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeMaterial "PEC:solid4", "kupfer"

'@ align wcs with global plane

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With WCS
     .SetNormal "0", "0", "1"
     .SetUVector "1", "0", "0"
     .ActivateWCS "local" 
End With

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "6"

'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ define material: Ferrit

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Material 
     .Reset 
     .Name "Ferrit"
     .FrqType "all"
     .Type "Normal"
     .SetMaterialUnit "Hz", "mm"
     .Epsilon "1"
     .Mue "2300"
     .ThinPanel "False"
     .Thickness "0"
     .Kappa "0"
     .TanD "0.0"
     .TanDFreq "0.0"
     .TanDGiven "False"
     .TanDModel "ConstTanD"
     .ReferenceCoordSystem "Global"
     .CoordSystemType "Cartesian"
     .KappaM "0"
     .TanDM "0.0"
     .TanDMFreq "0.0"
     .TanDMGiven "False"
     .TanDMModel "ConstTanD"
     .DispModelEps  "None"
     .DispModelMue "None"
     .DispersiveFittingSchemeEps "1st Order"
     .DispersiveFittingSchemeMue "1st Order"
     .UseGeneralDispersionEps "False"
     .UseGeneralDispersionMue "False"
     .NLAnisotropy "False"
     .NLAStackingFactor "1"
     .NLADirectionX "1"
     .NLADirectionY "0"
     .NLADirectionZ "0"
     .Rho "0"
     .ThermalType "Normal"
     .ThermalConductivity "0"
     .HeatCapacity "0"
     .MetabolicRate "0"
     .BloodFlow "0"
     .VoxelConvection "0"
     .MechanicsType "Unused"
     .Colour "1", "0", "0.501961" 
     .Wireframe "False" 
     .Reflection "False" 
     .Allowoutline "True" 
     .Transparentoutline "False" 
     .Transparency "0" 
     .Create
End With

'@ define cylinder: PEC:ferrit

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Cylinder 
     .Reset 
     .Name "ferrit" 
     .Component "PEC" 
     .Material "Ferrit" 
     .OuterRadius "10" 
     .InnerRadius "0" 
     .Axis "z" 
     .Zrange "0", "4.5" 
     .Xcenter "0" 
     .Ycenter "0" 
     .Segments "0" 
     .Create 
End With

'@ boolean insert shapes: PEC:ferrit, PEC:solid2

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Solid 
     .Version 9
     .Insert "PEC:ferrit", "PEC:solid2" 
     .Version 1
End With

'@ transform: translate PEC:ferrit

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:ferrit" 
     .Vector "0", "0", "-3" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Transform "Shape", "Translate" 
End With

'@ boolean insert shapes: PEC:solid2, PEC:ferrit

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Solid 
     .Version 9
     .Insert "PEC:solid2", "PEC:ferrit" 
     .Version 1
End With

'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid4", "12"

'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"

'@ delete shape: PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid4" 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "2", "5", "2", "2" 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "2" 


'@ define rotate: PEC:solid3

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Rotate 
     .Reset 
     .Name "solid3" 
     .Component "PEC" 
     .Material "Ferrit" 
     .Mode "Picks" 
     .Angle "-90.0" 
     .Height "0.0" 
     .RadiusRatio "1.0" 
     .NSteps "0" 
     .SplitClosedEdges "True" 
     .SegmentedProfile "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .SimplifySolid "True" 
     .UseAdvancedSegmentedRotation "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid3", "5" 


'@ define extrude: PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid4" 
     .Component "PEC" 
     .Material "Ferrit" 
     .Mode "Picks" 
     .Height "7" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid4", "5" 


'@ define extrude: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid5" 
     .Component "PEC" 
     .Material "Ferrit" 
     .Mode "Picks" 
     .Height "2" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ boolean add shapes: PEC:solid3, PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "PEC:solid3", "PEC:solid4" 


'@ boolean add shapes: PEC:solid3, PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "PEC:solid3", "PEC:solid5" 


'@ change material: PEC:solid3 to: kupfer

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeMaterial "PEC:solid3", "kupfer" 


'@ align wcs with global plane

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With WCS
     .SetNormal "0", "0", "1"
     .SetUVector "1", "0", "0"
     .ActivateWCS "local" 
End With


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "6" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid1", "6" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ transform: translate PEC:solid1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid1" 
     .Vector "0", "0", "30" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "True" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "True" 
     .Destination "" 
     .Material "" 
     .Transform "Shape", "Translate" 
End With 


'@ transform: translate PEC:solid2

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid2" 
     .Vector "0", "0", "30" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "True" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "True" 
     .Destination "" 
     .Material "" 
     .Transform "Shape", "Translate" 
End With 


'@ transform: translate PEC:solid3

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid3" 
     .Vector "0", "0", "30" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "True" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Destination "" 
     .Material "" 
     .Transform "Shape", "Translate" 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:ferrit", "15" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ transform: translate PEC:ferrit

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:ferrit" 
     .Vector "0", "0", "30" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "True" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Destination "" 
     .Material "" 
     .Transform "Shape", "Translate" 
End With 


'@ define curve line: curve1:line1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Line
     .Reset 
     .Name "line1" 
     .Curve "curve1" 
     .X1 "23" 
     .Y1 "38" 
     .X2 "31" 
     .Y2 "33" 
     .Create
End With


'@ delete curve item: curve1:line1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Curve.DeleteCurveItem "curve1", "line1" 


'@ pick edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickEdgeFromId "PEC:solid2_1", "37", "24" 


'@ define curve line: curve1:line1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Line
     .Reset 
     .Name "line1" 
     .Curve "curve1" 
     .X1 "9" 
     .Y1 "47" 
     .X2 "9" 
     .Y2 "48" 
     .Create
End With


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ delete curve item: curve1:line1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Curve.DeleteCurveItem "curve1", "line1" 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid2_1", "22" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ define bondwire: wire1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Wire
     .Reset 
     .Name "wire1" 
     .Type "BondWire" 
     .Height "1" 
     .Radius "1.0" 
     .Point1 "0.0", "0.0", "0.0", "False"
     .Point2 "0.0", "0.0", "0.0", "False" 
     .BondWireType "Spline" 
     .Alpha "75" 
     .Beta "35" 
     .RelativeCenterPosition "0.5" 
     .Material "PEC" 
     .SolidWireModel "False" 
     .Termination "Extended" 
     .Add
End With


'@ delete curve: curve1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Curve.DeleteCurve "curve1" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid2_1", "22" 


'@ define extrude: PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid4" 
     .Component "PEC" 
     .Material "Ferrit" 
     .Mode "Picks" 
     .Height "6" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ change material: PEC:solid4 to: kupfer

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeMaterial "PEC:solid4", "kupfer" 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid4", "5" 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid3_1", "5" 


'@ delete shape: PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid4" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid2_1", "22" 


'@ define extrude: PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid4" 
     .Component "PEC" 
     .Material "Ferrit" 
     .Mode "Picks" 
     .Height "1" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ change material: PEC:solid4 to: kupfer

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeMaterial "PEC:solid4", "kupfer" 


'@ boolean add shapes: PEC:solid2_1, PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "PEC:solid2_1", "PEC:solid4" 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid2_1", "5" 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "0.0", "-3", "3", "-2", "-3", "3" 


'@ define rotate: PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Rotate 
     .Reset 
     .Name "solid4" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Angle "-90.0" 
     .Height "0.0" 
     .RadiusRatio "1.0" 
     .NSteps "0" 
     .SplitClosedEdges "True" 
     .SegmentedProfile "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .SimplifySolid "True" 
     .UseAdvancedSegmentedRotation "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid3_1", "5" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid3_1", "5" 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "-2", "0.0", "3", "-2", "3", "3" 


'@ define rotate: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Rotate 
     .Reset 
     .Name "solid5" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Angle "-90.0" 
     .Height "0.0" 
     .RadiusRatio "1.0" 
     .NSteps "0" 
     .SplitClosedEdges "True" 
     .SegmentedProfile "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .SimplifySolid "True" 
     .UseAdvancedSegmentedRotation "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid5", "5" 


'@ define extrude: PEC:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid6" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "4" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid6", "5" 


'@ define extrude: PEC:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid7" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "2" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ delete shape: PEC:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid7" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ delete shape: PEC:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid6" 


'@ delete shape: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid5" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid4", "5" 


'@ define extrude: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid5" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "7.5" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ delete shape: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid5" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid4", "5" 


'@ define extrude: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid5" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "3" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid5", "5" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "3", "2", "2", "3", "4", "2" 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid5", "5" 


'@ define rotate: PEC:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Rotate 
     .Reset 
     .Name "solid6" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Angle "90.0" 
     .Height "0.0" 
     .RadiusRatio "1.0" 
     .NSteps "0" 
     .SplitClosedEdges "True" 
     .SegmentedProfile "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .SimplifySolid "True" 
     .UseAdvancedSegmentedRotation "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid6", "5" 


'@ define extrude: PEC:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid7" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "4" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid7", "5" 


'@ define extrude: PEC:solid8

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid8" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "0.5" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ delete shape: PEC:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid7" 


'@ delete shape: PEC:solid8

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid8" 


'@ delete shape: PEC:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid6" 


'@ delete shape: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Delete "PEC:solid5" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ transform: rotate PEC:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid4" 
     .Origin "Free" 
     .Center "0", "0", "0" 
     .Angle "90", "0", "0" 
     .MultipleObjects "True" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Destination "" 
     .Material "" 
     .Transform "Shape", "Rotate" 
End With 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid4_1", "5" 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid3_1", "5" 


'@ transform: translate PEC:solid4_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid4_1" 
     .Vector "7.5", "-6", "-2.2870594307278e-014" 
     .UsePickedPoints "True" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Transform "Shape", "Translate" 
End With 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ transform: rotate PEC:solid4_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid4_1" 
     .Origin "Free" 
     .Center "0", "0", "0" 
     .Angle "0", "90", "0" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Transform "Shape", "Rotate" 
End With 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid4_1", "5" 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid3_1", "5" 


'@ transform: translate PEC:solid4_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid4_1" 
     .Vector "7.5", "7.105427357601e-015", "7.5" 
     .UsePickedPoints "True" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Transform "Shape", "Translate" 
End With 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid4", "5" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid4", "5" 


'@ define extrude: PEC:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid5" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "1.5" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid5", "5" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "0.0", "2", "0.0", "2", "2", "0.0" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "0.0", "2", "0.0", "0.0", "2", "2" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "0.0", "2", "2", "2" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "1", "2", "2", "3" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "2", "4", "2", "2" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ set edge

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.AddEdge "2", "2", "2", "2", "4", "2" 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid5", "5" 


'@ define rotate: PEC:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Rotate 
     .Reset 
     .Name "solid6" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Angle "90.0" 
     .Height "0.0" 
     .RadiusRatio "1.0" 
     .NSteps "0" 
     .SplitClosedEdges "True" 
     .SegmentedProfile "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .SimplifySolid "True" 
     .UseAdvancedSegmentedRotation "True" 
     .Create 
End With 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid5", "5" 


'@ define extrude: PEC:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid7" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "-0.5" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ boolean subtract shapes: PEC:solid5, PEC:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Solid 
     .Version 9
     .Subtract "PEC:solid5", "PEC:solid7" 
     .Version 1
End With 


'@ transform: translate PEC:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Transform 
     .Reset 
     .Name "PEC:solid6" 
     .Vector "0", "0", "-0.5" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Transform "Shape", "Translate" 
End With 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid6", "5" 


'@ align wcs with face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.AlignWCSWithSelected "Face"


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid6", "5" 


'@ define extrude: PEC:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid7" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "2.5" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ define frequency range

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solver.FrequencyRange "90000", "100000" 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid3", "5" 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid2", "22" 


'@ define discrete port: 1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With DiscretePort 
     .Reset 
     .PortNumber "1" 
     .Type "Current" 
     .Label "" 
     .Impedance "50.0" 
     .Voltage "1.0" 
     .Current "10.0" 
     .SetP1 "True", "2.3314683517128e-014", "-33", "5.5" 
     .SetP2 "True", "6", "-34", "-2" 
     .InvertDirection "False" 
     .LocalCoordinates "True" 
     .Monitor "False" 
     .Radius "0.0" 
     .Create 
End With


'@ define solver parameters

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Mesh.SetCreator "High Frequency" 

With Solver 
     .CalculationType "TD-S"
     .StimulationPort "All"
     .StimulationMode "All"
     .SteadyStateLimit "-30.0"
     .MeshAdaption "False"
     .AutoNormImpedance "False"
     .NormingImpedance "50"
     .CalculateModesOnly "False"
     .SParaSymmetry "False"
     .StoreTDResultsInCache  "False"
     .FullDeembedding "False"
     .SuperimposePLWExcitation "False"
     .UseSensitivityAnalysis "False"
End With


'@ set pba mesh type

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Mesh.MeshType "PBA"

'@ delete wire: wire1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Wire.Delete "wire1" 


'@ delete port: port1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Port.Delete "1" 


'@ pick mid point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickMidpointFromId "PEC:solid3", "8" 


'@ pick mid point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickMidpointFromId "PEC:solid2", "43" 


'@ define discrete port: 1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With DiscretePort 
     .Reset 
     .PortNumber "1" 
     .Type "Current" 
     .Label "" 
     .Impedance "50.0" 
     .Voltage "1.0" 
     .Current "10.0" 
     .SetP1 "True", "2.2648549702353e-014", "-33", "4.75" 
     .SetP2 "True", "6", "-34", "-1.25" 
     .InvertDirection "False" 
     .LocalCoordinates "True" 
     .Monitor "False" 
     .Radius "0.0" 
     .Create 
End With


'@ delete port: port1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Port.Delete "1" 


'@ clear picks

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.ClearAllPicks 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "PEC:solid3", "5" 


'@ define extrude: PEC:solid8

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Extrude 
     .Reset 
     .Name "solid8" 
     .Component "PEC" 
     .Material "kupfer" 
     .Mode "Picks" 
     .Height "-1" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With 


'@ boolean subtract shapes: PEC:solid3, PEC:solid8

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Solid 
     .Version 9
     .Subtract "PEC:solid3", "PEC:solid8" 
     .Version 1
End With 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid2", "22" 


'@ pick center point

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickCenterpointFromId "PEC:solid3", "5" 


'@ define discrete port: 1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With DiscretePort 
     .Reset 
     .PortNumber "1" 
     .Type "Current" 
     .Label "" 
     .Impedance "50.0" 
     .Voltage "1.0" 
     .Current "10.0" 
     .SetP1 "True", "6", "-34", "-2" 
     .SetP2 "True", "2.3536728122053e-014", "-34", "5.5" 
     .InvertDirection "False" 
     .LocalCoordinates "True" 
     .Monitor "False" 
     .Radius "0.0" 
     .Create 
End With


'@ align wcs with global plane

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With WCS
     .SetNormal "0", "0", "1"
     .SetUVector "1", "0", "0"
     .ActivateWCS "local" 
End With


'@ activate global coordinates

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
WCS.ActivateWCS "global"


'@ define background

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ElConductivity "0.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With 


'@ new component: component1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Component.New "component1" 


'@ change component: PEC:ferrit to: component1:ferrit

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:ferrit", "component1" 


'@ change component: PEC:ferrit_1 to: component1:ferrit_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:ferrit_1", "component1" 


'@ change component: PEC:solid1 to: component1:solid1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid1", "component1" 


'@ change component: PEC:solid1_1 to: component1:solid1_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid1_1", "component1" 


'@ change component: PEC:solid2 to: component1:solid2

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid2", "component1" 


'@ change component: PEC:solid2_1 to: component1:solid2_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid2_1", "component1" 


'@ change component: PEC:solid3 to: component1:solid3

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid3", "component1" 


'@ change component: PEC:solid3_1 to: component1:solid3_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid3_1", "component1" 


'@ change component: PEC:solid4 to: component1:solid4

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid4", "component1" 


'@ change component: PEC:solid4_1 to: component1:solid4_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid4_1", "component1" 


'@ change component: PEC:solid5 to: component1:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid5", "component1" 


'@ change component: PEC:solid6 to: component1:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid6", "component1" 


'@ change component: PEC:solid7 to: component1:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.ChangeComponent "PEC:solid7", "component1" 


'@ delete component: PEC

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Component.Delete "PEC" 


'@ delete port: port1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Port.Delete "1" 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "component1:solid2", "22" 


'@ define port: 1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "10", "11.5" 
     .Yrange "-4.75", "-3.25" 
     .Zrange "-9.25", "-9.25" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "component1:solid3", "5" 


'@ define port: 2

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Port 
     .Reset 
     .PortNumber "2" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "17.5", "19" 
     .Yrange "1.25", "2.75" 
     .Zrange "-9.25", "-9.25" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With 


'@ define units

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Units 
     .Geometry "mm" 
     .Frequency "kHz" 
     .Time "s" 
     .TemperatureUnit "Kelvin" 
     .Voltage "V" 
     .Current "A" 
     .Resistance "Ohm" 
     .Conductance "S" 
     .Capacitance "PikoF" 
     .Inductance "NanoH" 
End With 


'@ define frequency range

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solver.FrequencyRange "99", "100" 


'@ delete port: port1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Port.Delete "1" 


'@ boolean add shapes: component1:solid5, component1:solid6

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "component1:solid5", "component1:solid6" 


'@ boolean add shapes: component1:solid5, component1:solid7

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "component1:solid5", "component1:solid7" 


'@ pick face

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Pick.PickFaceFromId "component1:solid2", "22" 


'@ define port: 1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With Port 
     .Reset 
     .PortNumber "1" 
     .Label "" 
     .NumberOfModes "1" 
     .AdjustPolarization "False" 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "10", "11.5" 
     .Yrange "-4.75", "-3.25" 
     .Zrange "-9.25", "-9.25" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With 


'@ set workplane properties

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With WCS
     .SetWorkplaneSize "90"
     .SetWorkplaneRaster "1"
     .SetWorkplaneAutoadjust "True"
     .SetWorkplaneSnap "True"
     .SetWorkplaneSnapRaster "0.5"
     .SetWorkplaneSnapAutoadjust "True"
End With


'@ set mesh properties

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With MeshSettings
.SetMeshType "Hex"
.Set "Version", 0%
.SetMeshType "Tet"
.Set "Version", 0%
.SetMeshType "Srf"
.Set "Version", 0%
.SetMeshType "SrfML"
.Set "Version", 0%
End With

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "10.0" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "10.0" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With 


'@ boolean add shapes: component1:solid4, component1:solid4_1

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "component1:solid4", "component1:solid4_1" 


'@ boolean add shapes: component1:solid4, component1:solid5

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
Solid.Add "component1:solid4", "component1:solid5" 


'@ set mesh properties

'[VERSION]2011.3|21.0.0|20110513[/VERSION]
With MeshSettings
.SetMeshType "Hex"
.Set "Version", 0%
.SetMeshType "Tet"
.Set "Version", 0%
.SetMeshType "Srf"
.Set "Version", 0%
.SetMeshType "SrfML"
.Set "Version", 0%
End With

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "20.0" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "10.0" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With 


